Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 506)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 507)
@@ -141,8 +141,8 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000258" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2E41" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF059B" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "000000000000183E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000B40" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000087A" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C8" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -171,9 +171,9 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF0017" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000A900FF" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001844" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B76" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -316,8 +316,8 @@
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 
-"E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
@@ -368,5 +368,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 92395312 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91215112 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 506)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 507)
@@ -136,45 +136,39 @@
 int mode;
 int feu; 
 short code_touche;
+int tempsactuel;
+
+
 
 
 //envoie la voiture 
 void essai() 
 {
+	CanFrame comm_vit;
         while(1){
-                comm.data.id= 'V';
-                comm.data.rtr= 0;           //indique une ?criture
+			   comm_vit.data.id= 'V';
+               comm_vit.data.rtr= 0; //indique une ?criture
+			    
 				
-				//forçage du vehicule à l'arrêt
+			 	//forçage du vehicule à l'arrêt
 				if(Bp_G==1)
 				{
-					 comm.data.val= 0;
-					 snd_dtq(CanTx,comm.msg);
+					 comm_vit.data.val= 0;
+					 snd_dtq(CanTx,comm_vit.msg);
+					 LED_R=1;
 				}
                 else 
 				{
-					comm.data.val= 25;
-					snd_dtq(CanTx,comm.msg);
+					comm_vit.data.val= vitesse;
+					snd_dtq(CanTx,comm_vit.msg);
+					 LED_R=0;
 				}
-				
-				
-				//feu tricolore
-				feu=periph[ADDR('M')].val;
-				//feu=feu&0x80;
-				if(feu==0x00000000)
+				//piste verte avec une vitesse de 10 et un azimut à 45
+				if(Bp_M==1)
 				{
-				
-				comm.data.val= 0;
-			    snd_dtq(CanTx,comm.msg);	
+					comm_vit.data.val= 10;
+					snd_dtq(CanTx,comm_vit.msg);
 				}
-				else 
-				{
-				
-					comm.data.val= 25;
-					snd_dtq(CanTx,comm.msg);
-				}
-				
-                
                 dly_tsk(20);
         }
 }
@@ -234,6 +228,8 @@
 				else 
 				{
 					comm_alpha.data.val=0;
+					LED_J!=	1;
+					//dly_tsk(1000);
 				}
 				comm_alpha.data.id= 'D';
 	            comm_alpha.data.rtr= 0;
@@ -249,7 +245,7 @@
 void modecourse()
 {
 CanFrame requete ;
-UINT flag;
+
 while(1){
 	       
                 
@@ -267,13 +263,9 @@
                         mode=periph[ADDR('M')].val;                              
                         numero= mode&0x000F;
 	                    dly_tsk(15);
+}	
 }
 
-
-
-	
-}
-
 //mesure aberrante
 void aberrante()
 {
@@ -280,7 +272,7 @@
 	while(1){
 		if(pos==0||pos>2000)
 		{
-			LED_J!=	LED_J;	
+				
 		}
 	}
 }
@@ -357,20 +349,41 @@
 	sta_tsk(ID_asservis);
 	dly_tsk(2000);
 	
-//	sta_tsk(ID_direction);
 	sta_tsk(ID_essai);
 	sta_tsk(ID_distance);
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_affichage);
 	sta_tsk(ID_modecourse);
+//	sta_tsk(ID_aberrante);
 	sta_tsk(ID_clavier);
 	
     while(1){
+		
+		switch(numero)
+		{
+		case 1:
+		if(pos<1100) vitesse=35;
+		break;
+		case 2:
+		if(pos<1100) vitesse=25;
+		break;
+		case 3:
+		if(capt==0x7601) vitesse=70;
+		else if (capt==0x4203) vitesse=5;
+        else if (capt==0x5202) vitesse=30;
+        else if (capt==0x5603) vitesse=45;
+        else if (capt==0x7610) vitesse=0;
+        else if (capt==0x7602) vitesse=10;
+        else if (capt==0x5604) vitesse=5; 
+		else if(pos<1100) vitesse=25;
+		else vitesse=1;
+		break;
+		}
 		
 		LED_J=1;
 		dly_tsk(100);
 		LED_J=0;
-	    dly_tsk(100);
+	   dly_tsk(100);
 	}	
 }
 
Index: branch/lebanitou/Emb_App/conf_noyau.cfg
===================================================================
--- branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 506)
+++ branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 507)
@@ -165,8 +165,8 @@
 };
 
 //task[]{
-//	entry_address	= rotation();
-//	name	= ID_rotation;
+//	entry_address	= aberrante();
+//	name	= ID_aberrante;
 //	stack_size	= 512;
 //	stack_section	= stack;
 //	priority	= 8;
@@ -214,6 +214,15 @@
 	exinf	= 0x0;
 };
 
+//task[]{
+//	entry_address	= temps();
+//	name	= ID_temps;
+//	stack_size	= 512;
+//	stack_section	= stack;
+//	priority	= 8;
+//	initial_start	= OFF;
+//	exinf	= 0x0;
+//};
 
 
 