Index: branch/lebanitou/Emb_App.tws
===================================================================
--- branch/lebanitou/Emb_App.tws	(revision 513)
+++ branch/lebanitou/Emb_App.tws	(revision 514)
@@ -9,6 +9,7 @@
 [OPEN_WORKSPACE_FILES]
 "E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 
+"E:\tp_info6_lebanitou\bsp\periph.c" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
@@ -16,11 +17,12 @@
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 150 150 1430 351 0 6 
-"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 100 100 1430 351 0 2 
+"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" -8 -30 1596 539 1 2 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 75 75 1430 351 0 1 
-"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 100 100 1430 351 0 4 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 125 125 1430 351 0 5 
+"E:\tp_info6_lebanitou\bsp\periph.c" 0 0 1430 351 0 7 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 125 125 1430 351 0 3 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini	(revision 513)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini	(revision 514)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0034
+RESET=ff017a
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 513)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 514)
@@ -141,8 +141,8 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000258" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF059B" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2E46" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000B40" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000087A" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001840" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000087C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -171,9 +171,9 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B76" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF001F" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FF0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001846" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -205,15 +205,17 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "angle, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "angle, 1, 0, P, Col, Hex, MN" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "pos, 1, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "valuer, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Global," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "valeur1, 1, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "capt, 1, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "3" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004" "numero, 1, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "5" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -287,10 +289,10 @@
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.45" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.47" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.01" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.43" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.41" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -315,10 +317,11 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
-"E:\tp_info6_lebanitou\bsp\lcd.c" 
-"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_lebanitou\bsp\periph.c" 
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 
@@ -368,5 +371,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91215112 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91871024 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 513)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 514)
@@ -137,6 +137,7 @@
 int feu; 
 short code_touche;
 int tempsactuel;
+int couleur;
 
 
 
@@ -255,7 +256,8 @@
 
                         
                         capt=periph[ADDR('C')].val;   
-						                             
+						couleur=(capt&0xFF00)>>8;  
+						                          
                         requete.data.id='M';              //mode de course                                
                         requete.data.rtr=1;
 					       
@@ -267,13 +269,18 @@
 }
 
 //mesure aberrante
-void aberrante()
+void temps()
 {
+CanFrame requete ;
+CanFrame comm_vit;	
 	while(1){
-		if(pos==0||pos>2000)
-		{
-				
-		}
+		 comm_vit.data.id= 'H';
+         comm_vit.data.rtr= 1;
+		 snd_dtq(CanTx,comm_vit.msg);
+		 tempsactuel=periph[ADDR('H')].val;
+		               
+         dly_tsk(10);			
+		
 	}
 }
 
@@ -306,26 +313,41 @@
 {
 	
 	char str[20];
+	char str1[20];
         while(1){
        
-       switch(numero)
-	   {
-		   case 1:
-		   lcd_str("vert");
-		   break;
-		   case 2:
-		   lcd_str("bleu");
-		   break;
-		   case 3:
-		   lcd_str("rouge");
-		   break;
-		   case 4:
-		   lcd_str("noir");
-		   break;
+     
+	  
+		   lcd_com(0x80);
+		   if(numero==1) lcd_str("vert");
+		   if(numero==2) lcd_str("bleue");
+		   if(numero==3) lcd_str("rouge");
+		   if(numero==4) lcd_str("noire");
 		   
-	    }
-  
-	   	dly_tsk(10);
+		   lcd_com(0xC0);
+		   switch(couleur)
+		   {
+			   case 0x56:
+			   lcd_str("zone verte");
+			   break;
+			  case 0x4A:
+			   lcd_str("zone jaune");
+			   break;
+			   case 0x52:
+			   lcd_str("zone rouge");
+			   break;
+			   case 0x43:
+			   lcd_str("zone bleue");
+			   break;
+			   case 0x42:
+			   lcd_str("zone cyan");
+			   break;
+		   }
+		   
+		   lcd_com(0x90);
+		   sprintf(str1, "%d", tempsactuel);
+           lcd_str(str1);
+	       dly_tsk(10);
         }
 }
 
@@ -354,7 +376,7 @@
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_affichage);
 	sta_tsk(ID_modecourse);
-//	sta_tsk(ID_aberrante);
+	sta_tsk(ID_temps);
 	sta_tsk(ID_clavier);
 	
     while(1){
@@ -368,12 +390,10 @@
 		if(pos<1100) vitesse=25;
 		break;
 		case 3:
-		if(capt==0x7601) vitesse=70;
+		if(capt==0x5603) vitesse=65;
 		else if (capt==0x4203) vitesse=5;
         else if (capt==0x5202) vitesse=30;
-        else if (capt==0x5603) vitesse=45;
-        else if (capt==0x7610) vitesse=0;
-        else if (capt==0x7602) vitesse=10;
+        else if (capt==0x7601) vitesse=30;
         else if (capt==0x5604) vitesse=5; 
 		else if(pos<1100) vitesse=25;
 		else vitesse=1;
Index: branch/lebanitou/Emb_App/conf_noyau.cfg
===================================================================
--- branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 513)
+++ branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 514)
@@ -214,15 +214,15 @@
 	exinf	= 0x0;
 };
 
-//task[]{
-//	entry_address	= temps();
-//	name	= ID_temps;
-//	stack_size	= 512;
-//	stack_section	= stack;
-//	priority	= 8;
-//	initial_start	= OFF;
-//	exinf	= 0x0;
-//};
+task[]{
+	entry_address	= temps();
+	name	= ID_temps;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 8;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 
 