Index: branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 515)
+++ branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 516)
@@ -149,11 +149,11 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0584" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF05A0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000BEC" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000924" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "000000000000173C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000095E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
@@ -173,7 +173,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000C20" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000175A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -231,13 +231,13 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0011_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0012" "depart, 2, 0, P, Col, Bin, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0012_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0013" "verte, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0013" "verte, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0013_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0014" "bleue, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0014" "bleue, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0014_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0015" "rouge, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0015" "rouge, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0015_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0016" "noire, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0016" "noire, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0016_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "17" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
@@ -341,14 +341,14 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\crt0mr.a30" 
-"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_zemeta\tp_info6\bsp\dma0.c" 
+"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_zemeta\tp_info6\bsp\periph.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\lcd.c" 
-"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_2018_zemeta\tp_info6\bsp\dma0.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\Disassembly" 
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\Debug\mr308.inc" 
-"E:\tp_info6_2018_zemeta\tp_info6\bsp\periph.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\uart0.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\can.c" 
 [TARGET_NAME]
@@ -397,5 +397,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 99340520 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 97842696 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/zemeta/Emb_App/programme_principal_etud.c
===================================================================
--- branch/zemeta/Emb_App/programme_principal_etud.c	(revision 515)
+++ branch/zemeta/Emb_App/programme_principal_etud.c	(revision 516)
@@ -356,17 +356,30 @@
 		LED_R=0;
 		if(num_piste==256 || num_piste==512) // course normale
 		{
-			D=705; 
+			D=250; // PARTIE QUE JAI MODIFIER POUR TEST Dinit = 705 et consigne tourelle= 450 et Vitesses_roue=35
 			consigne_tour=450;
-			if(appui_Bp!=1)
+			
+			/*if(appui_Bp!=1)	
 			{
 				comRoue = -k2*error2 ;
-				vitesse_roue = 35;	
+				vitesse_roue = 1;	
 			} 
 			else if (appui_Bp) 
 			{
 					vitesse_roue = 0;
 					comRoue = 0 ;
+			}*/
+	
+		//**A EFFACER 	/	 TEST POUR ROULER TOUT PRET DU MUR
+			comRoue = -k2*error2 ;
+			vitesse_roue = 1;	
+			if(capt_detecte==22017)
+			{
+				D=100	;
+			} 
+			else if (capt_detecte!=22017) 
+			{
+				D==250;	
 			}
 		}
 		dly_tsk(10);
@@ -494,7 +507,7 @@
 		if (num_piste==1024)
 		{ 
 			LED_R=0;
-			if(capt_detecte!=22017 || capt_detecte!=30336 || capt_detecte!=22019) // course normale
+			if(capt_detecte!=22017 || capt_detecte!=30336 || capt_detecte!=22019 || capt_detecte!=18945) // course normale
 			{
 				D=705; 
 				consigne_tour=450;
@@ -512,8 +525,8 @@
 			 if (capt_detecte==22017) // detection de ligne droite de saut
 			{
 				LED_R=1;
-				D=500; 
-				consigne_tour=900;
+				D=705; 
+				consigne_tour=450;
 				if(appui_Bp!=1)
 				{
 					vitesse_roue = 40;
@@ -526,7 +539,7 @@
 				}
 			}
 			
-			if (capt_detecte==30336) // detection de ligne droite de saut
+			if (capt_detecte==22019) // detection de ligne droite de saut noir
 			{
 				LED_R=1;
 				D=500; 
@@ -533,8 +546,8 @@
 				consigne_tour=900;
 				if(appui_Bp!=1)
 				{
-					vitesse_roue = 20;
-					comRoue = -1 ;
+					vitesse_roue = 45;
+					comRoue = 0 ;
 				}
 				else if (appui_Bp)
 				{
@@ -542,16 +555,34 @@
 					 comRoue = 0;
 				}
 			}
+					
+			if (capt_detecte==30224) // preparation au road riding ok
+			{
+				LED_R=1;
+				D=520; 
+				consigne_tour=450;
+				if(appui_Bp!=1)
+				{
+					vitesse_roue = 5;
+					comRoue = -k2*error2;
+				}
+				else if (appui_Bp)
+				{
+					vitesse_roue = 0;
+					 comRoue = 0;
+				}
+
+			}
 			
-			if (capt_detecte==22019) // detection de ligne droite de saut noir
+			if (capt_detecte==30216) // preparation au road riding ok 
 			{
 				LED_R=1;
-				D=500; 
-				consigne_tour=900;
+				D=200; 
+				consigne_tour=450;
 				if(appui_Bp!=1)
 				{
-					vitesse_roue = 45;
-					comRoue = 0 ;
+					vitesse_roue = 5;
+					comRoue = -k2*error2;
 				}
 				else if (appui_Bp)
 				{
@@ -558,15 +589,17 @@
 					vitesse_roue = 0;
 					 comRoue = 0;
 				}
+
 			}
 			
-			if(capt_detecte==30272)
+			if (capt_detecte==22018) // road riding
 			{
-				D=705; 
+				LED_R=1;
+				D=150; 
 				consigne_tour=450;
 				if(appui_Bp!=1)
 				{
-					vitesse_roue = 10;
+					vitesse_roue = 5;
 					comRoue = -k2*error2;
 				}
 				else if (appui_Bp)