Index: branch/lebanitou/Emb_App.tws
===================================================================
--- branch/lebanitou/Emb_App.tws	(revision 520)
+++ branch/lebanitou/Emb_App.tws	(revision 521)
@@ -17,9 +17,9 @@
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 150 150 1430 351 0 6 
-"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" -8 -30 1596 539 1 2 
+"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 0 0 1596 539 0 2 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 75 75 1430 351 0 1 
-"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
+"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 100 100 1430 351 0 4 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 125 125 1430 351 0 5 
 "E:\tp_info6_lebanitou\bsp\periph.c" 0 0 1430 351 0 7 
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 520)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 521)
@@ -149,10 +149,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2E46" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2F96" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001840" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000087C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001BB8" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000C08" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
@@ -171,9 +171,9 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF001F" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FF0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001846" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF003C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001BBE" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -215,7 +215,9 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004" "numero, 1, 0, P, Col, Hex, MN" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "5" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0005" "couleur, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0005_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "6" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -317,13 +319,13 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
+"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\bsp\periph.c" 
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 
-"E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
@@ -371,5 +373,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91871024 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 90576784 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 520)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 521)
@@ -390,7 +390,7 @@
 		if(pos<1100) vitesse=25;
 		break;
 		case 3:
-		if(capt==0x5603) vitesse=65;
+		if(capt==0x5603) vitesse=67;
 		else if (capt==0x4203) vitesse=5;
         else if (capt==0x5202) vitesse=30;
         else if (capt==0x7601) vitesse=30;