Index: branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 522)
+++ branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 523)
@@ -141,7 +141,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0595" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF058C" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000C26" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000C24" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000095E" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -342,10 +342,10 @@
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\dma0.c" 
+"E:\tp_info6_2018_zemeta\tp_info6\bsp\uart0.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_2018_zemeta\tp_info6\Emb_App\crt0mr.a30" 
-"E:\tp_info6_2018_zemeta\tp_info6\bsp\uart0.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\periph.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\lcd.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\Disassembly" 
@@ -397,5 +397,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 93049200 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 92721520 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/zemeta/Emb_App/programme_principal_etud.c
===================================================================
--- branch/zemeta/Emb_App/programme_principal_etud.c	(revision 522)
+++ branch/zemeta/Emb_App/programme_principal_etud.c	(revision 523)
@@ -311,8 +311,7 @@
 	{
 		if (num_piste==768)
 		{ 
-			LED_R=0;
-			if(capt_detecte!=22019) // course normale
+			if(capt_detecte!=30212) // course normale
 			{
 				D=705; 
 				consigne_tour=450;
@@ -327,15 +326,14 @@
 					 comRoue = 0;
 				}
 			}
-			else if (capt_detecte==22019) // detection de ligne droite de saut
+		/*	else */if (capt_detecte==30212) // detection de ligne droite de saut
 			{
-				LED_R=1;
-				D=500; 
-				consigne_tour=900;
+				D=705; 
+				consigne_tour=450;
 				if(appui_Bp!=1)
 				{
 					vitesse_roue = 45;
-					comRoue = 1 ;
+					comRoue = 0 ;
 				}
 				else if (appui_Bp)
 				{
@@ -344,6 +342,23 @@
 				}
 
 			}
+			
+			if (capt_detecte==30463 || capt_detecte==16899 || capt_detecte==30216 ) // Decceleration apres saut
+			{
+				D=705; 
+				consigne_tour=450;
+				if(appui_Bp!=1)
+				{
+					vitesse_roue = 10;
+					comRoue = -k2*error2 ;
+				}
+				else if (appui_Bp)
+				{
+					vitesse_roue = 0;
+					 comRoue = 0;
+				}
+
+			}
 		}
 		dly_tsk(5);
 	}
@@ -353,34 +368,21 @@
 {
 	while (1)
 	{
-		LED_R=0;
 		if(num_piste==256 || num_piste==512) // course normale
 		{
 			D=705; // PARTIE QUE JAI MODIFIER POUR TEST Dinit = 705 et consigne tourelle= 450 et Vitesses_roue=35 :CODE FONCTIONNEL
-			consigne_tour=-450;
+			consigne_tour=450;
 			
-			/*if(appui_Bp!=1)	
+			if(appui_Bp!=1)	
 			{
 				comRoue = -k2*error2 ;
-				vitesse_roue = 1;	
+				vitesse_roue = 35;	
 			} 
 			else if (appui_Bp) 
 			{
 					vitesse_roue = 0;
 					comRoue = 0 ;
-			}*/
-	
-		//**A EFFACER 	/	 TEST POUR ROULER TOUT PRET DU MUR
-			comRoue = k2*error2 ;
-			vitesse_roue = 20;	
-			/*if(capt_detecte==22017)
-			{
-				D=100	;
-			} 
-			else if (capt_detecte!=22017) 
-			{
-				D==250;	
-			}*/
+			}
 		}
 		dly_tsk(10);
 	}
@@ -429,7 +431,7 @@
 					comRoue = 0 ;
 				}
 				
-				if (num_piste==768/* || num_piste==1024*/)
+				if (num_piste==768 )
 				{
 					if(capt_detecte!=22019)
 					{
@@ -525,7 +527,6 @@
 			
 			 if (capt_detecte==30272 ||capt_detecte==22017 ) // départ piste noire sur le coté gauche 
 			{
-				LED_R=1;
 				D=505; 
 				consigne_tour=-450;
 				if(appui_Bp!=1)
@@ -543,7 +544,6 @@
 					
 			if (capt_detecte==30224) // preparation au road riding ok
 			{
-				LED_R=1;
 				D=400; 
 				consigne_tour=450;
 				if(appui_Bp!=1)
@@ -561,7 +561,6 @@
 			
 			if (capt_detecte==30216) // preparation au road riding ok 
 			{
-				LED_R=1;
 				D=230; 
 				consigne_tour=450;
 				if(appui_Bp!=1)
@@ -579,7 +578,6 @@
 			
 			if (capt_detecte==22018) // road riding
 			{
-				LED_R=1;
 				D=150; 
 				consigne_tour=450;
 				if(appui_Bp!=1)
@@ -596,7 +594,6 @@
 			}
 			if (capt_detecte==30212) // SAut piste noire
 			{
-				LED_R=1;
 				D=705; 
 				consigne_tour=450;
 				if(appui_Bp!=1)
@@ -614,7 +611,6 @@
 			
 			if (capt_detecte==22020) // Zone de turbulence 
 			{
-				//LED_R=1;
 				D=705; 
 				consigne_tour=450;
 				if(appui_Bp!=1)